<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ChatLockSettings extends \Google\Protobuf\Internal\Message
{
    


    protected $hideLockedChats = null;
    


    protected $secretCode = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getHideLockedChats()
    {
        return isset($this->hideLockedChats) ? $this->hideLockedChats : false;
    }

    public function hasHideLockedChats()
    {
        return isset($this->hideLockedChats);
    }

    public function clearHideLockedChats()
    {
        unset($this->hideLockedChats);
    }

    




    public function setHideLockedChats($var)
    {
        GPBUtil::checkBool($var);
        $this->hideLockedChats = $var;

        return $this;
    }

    



    public function getSecretCode()
    {
        return $this->secretCode;
    }

    public function hasSecretCode()
    {
        return isset($this->secretCode);
    }

    public function clearSecretCode()
    {
        unset($this->secretCode);
    }

    




    public function setSecretCode($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\UserPassword::class);
        $this->secretCode = $var;

        return $this;
    }

}

